#
# Conditional build:
%bcond_without	tests # do not perform "make test"

%define		pdir	Net
%define		pnam	SSH2
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SSH2 Perl module - support for the SSH 2 protocol via libssh2
Summary(pl.UTF-8):	Moduł Perla Net::SSH2 - obsługa protokołu SSH 2 poprzez libssh2
Name:		perl-Net-SSH2
Version:	0.69
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	94ed21d4557a6bbc3cb6bfd7c3479ef0
URL:		http://search.cpan.org/dist/Net-SSH2/
BuildRequires:	libssh2-devel >= 1.7.0
BuildRequires:	openssl-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SSH2 is a Perl interface to the libssh2 (http://www.libssh2.org/)
library. It supports the SSH 2 protocol (there is no support for SSH
1) with all of the key exchanges, ciphers, and compression of libssh2.

%description -l pl.UTF-8
Net::SSH to perlowy interfejs do biblioteki libssh2
(http://www.libssh2.org/). Obsługuje protokół SSH 2 (nie ma obsługi
SSH 1), w tym wymianę kluczy, szyfry i kompresję z libssh2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README example/read.pl
%{perl_vendorarch}/Net/SSH2.pm
%{perl_vendorarch}/Net/SSH2
%dir %{perl_vendorarch}/auto/Net/SSH2
%attr(755,root,root) %{perl_vendorarch}/auto/Net/SSH2/SSH2.so
%{_mandir}/man3/Net::SSH2*.3pm*
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-SSH2.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ac2388
- release 3 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 46553a9
- release 2

* Sun Mar 11 2018 Marcin Krol <hawk@tld-linux.org> 34abf63
- updated to 0.69

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2009bd7
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7906f57
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Wed Apr 12 2017 Jakub Bogusz <qboosh@pld-linux.org> a375c10
- enhanced summariens and pl description

* Sat Mar 18 2017 Adam Osuchowski <adwol@pld-linux.org> 71f9943
- up to 0.63

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f4de5e6
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 63a526a
- release 2 (by relup.sh)

* Sun Oct 11 2015 Adam Osuchowski <adwol@pld-linux.org> 6dbb1df
- up to 0.56

* Thu Oct 08 2015 Adam Osuchowski <adwol@pld-linux.org> 57e3ad5
- up to 0.55

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f866dc6
- x32 rebuild
- release 4 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 1660dde
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5a84f8f
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6395bdf
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 84634e1
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Nov 14 2013 Marcin Krol <hawk@tld-linux.org> ce4afd5
- updated to 0.53

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> afe2799
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> cc13ead
- up to 0.40

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e234914
- release 2

